<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>GDPR-API copy</title>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.2.0/styles/darkula.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.2.0/highlight.min.js"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <style>body {
    position: relative;
}

h1 {
    margin-top: 5px;
}

h1, h2, h3, h4 {
    color: #2b2b2b;
}

h2:after {
    content: ' ';
}

h5 {
    font-weight: bold;
}

h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
    display: none;
    position: absolute;
    margin-left: 8px;
}

h1:hover a, h2:hover a, h3:hover a, h4:hover a, h5:hover a, h6:hover a {
    color: #a5a5a5;
    display: initial;
}

.nav.nav-tabs > li > a {
    padding-top: 4px;
    padding-bottom: 4px;
}

.tab-content {
    padding-top: 8px;
}

.table {
    margin-bottom: 8px;
}

pre {
    border-radius: 0px;
    border: none;
}

pre code {
    margin: -9.5px;
}

.request {
    margin-top: 12px;
    margin-bottom: 24px;
}

.response-text-sample {
    padding: 0px !important;
}

.response-text-sample pre {
    margin-bottom: 0px;
}


#sidebar-wrapper {
    z-index: 1000;
    position: fixed;
    left: 250px;
    width: 250px;
    height: 100%;
    margin-left: -250px;
    overflow-y: auto;
    overflow-x: hidden;
    background: #2b2b2b;
    padding-top: 20px;
}

#sidebar-wrapper ul {
    width: 250px;
}

#sidebar-wrapper ul li {
    margin-right: 10px;
}

#sidebar-wrapper ul li a:hover {
    background: inherit;
    text-decoration: none;
}

#sidebar-wrapper ul li a {
    display: block;
    color: #ECF0F1;
    padding: 6px 15px;
}

#sidebar-wrapper ul li ul {
    padding-left: 25px;
}

#sidebar-wrapper ul li ul li a {
    padding: 1px 0px;
}

#sidebar-wrapper ul li a:hover,
#sidebar-wrapper ul li a:focus {
    color: #e0c46c;
    border-right: solid 1px #e0c46c;
}

#sidebar-wrapper ul li.active > a {
    color: #e0c46c;
    border-right: solid 3px #e0c46c;
}

#sidebar-wrapper ul li:not(.active) ul {
    display: none;
}

#page-content-wrapper {
    width: 100%;
    position: absolute;
    padding: 15px 15px 15px 250px;
}
</style>
</head>
<body data-spy="scroll" data-target=".scrollspy">
<div id="sidebar-wrapper">
    <div class="scrollspy">
    <ul id="main-menu" data-spy="affix" class="nav">
        <li>
            <a href="#doc-general-notes">General notes</a>
        </li>
        
        <li>
            <a href="#doc-api-detail">API detail</a>
        </li>
        
        
        
        <li>
            <a href="#folder-admin">Admin</a>
            <ul>
                
            </ul>
        </li>
        
        
        <li>
            <a href="#folder-company">Company</a>
            <ul>
                
                <li>
                    <a href="#request-company-all">All</a>
                </li>
                
                <li>
                    <a href="#request-company-update">Update</a>
                </li>
                
                <li>
                    <a href="#request-company-remove">Remove</a>
                </li>
                
                <li>
                    <a href="#request-company-one">One</a>
                </li>
                
                <li>
                    <a href="#request-company-create">Create</a>
                </li>
                
            </ul>
        </li>
        
        
        <li>
            <a href="#folder-endpoint">Endpoint</a>
            <ul>
                
                <li>
                    <a href="#request-endpoint-one">One</a>
                </li>
                
                <li>
                    <a href="#request-endpoint-create">Create</a>
                </li>
                
                <li>
                    <a href="#request-endpoint-remove">Remove</a>
                </li>
                
                <li>
                    <a href="#request-endpoint-all">All</a>
                </li>
                
                <li>
                    <a href="#request-endpoint-update">Update</a>
                </li>
                
            </ul>
        </li>
        
        
        <li>
            <a href="#folder-external">External</a>
            <ul>
                
                <li>
                    <a href="#request-external-fetch">Fetch</a>
                </li>
                
                <li>
                    <a href="#request-external-remove">Remove</a>
                </li>
                
                <li>
                    <a href="#request-external-fetch">Fetch</a>
                </li>
                
                <li>
                    <a href="#request-external-remove">Remove</a>
                </li>
                
            </ul>
        </li>
        
        
        <li>
            <a href="#folder-user">User</a>
            <ul>
                
                <li>
                    <a href="#request-user-one">One</a>
                </li>
                
                <li>
                    <a href="#request-user-all">All</a>
                </li>
                
                <li>
                    <a href="#request-user-create">Create</a>
                </li>
                
                <li>
                    <a href="#request-user-update">Update</a>
                </li>
                
                <li>
                    <a href="#request-user-remove">Remove</a>
                </li>
                
            </ul>
        </li>
        
    </ul>
</div>

</div>
<div id="page-content-wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12">
                <h1>GDPR-API copy</h1>

                <h2 id="doc-general-notes">
                    General notes
                    <a href="#doc-general-notes"><i class="glyphicon glyphicon-link"></i></a>
                </h2>

                <p>A small API proxying GDPR removal or fetch requests from a customer to multiple endpoints.</p>


                

                <h2 id="doc-api-detail">
                    API detail
                    <a href="#doc-api-detail"><i class="glyphicon glyphicon-link"></i></a>
                </h2>

                


                
                
                <div class="endpoints-group">
                    <h3 id="folder-admin">
                        Admin
                        <a href="#folder-admin"><i class="glyphicon glyphicon-link"></i></a>
                    </h3>

                    <div><p>Routes used to administrate the API.</p>

<p>All administrative routes are protected by oAuth2, any registered user should request a token via the <code>api/v1/oauth/token</code> route.</p>
</div>

                    

                </div>
                
                
                <div class="endpoints-group">
                    <h3 id="folder-company">
                        Company
                        <a href="#folder-company"><i class="glyphicon glyphicon-link"></i></a>
                    </h3>

                    <div><p>This endpoint collection are for the company specific actions such as creating, fetching, updating and removing companies.<br />
A company is a entity which have the abillity to send get and delete requests to the API to either remove or fetch user data from the API. User data in this case is the data that the endpoints are set up to use.</p>
</div>

                    
                    
                    <div class="request">

                        <h4 id="request-company-all">
                            All
                            <a href="#request-company-all"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Fetch all currently added companies.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-company-all-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-company-all-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-company-all-example-curl">
                                    <pre><code class="hljs curl">curl -X GET "https://localhost/api/v1/admin/companies"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-company-all-example-http">
                                    <pre><code class="hljs http">GET /api/v1/admin/companies HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-company-all-responses-5b8cdba2-49e5-48dd-ad5f-ad2d7d96dc7a" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-company-all-responses-5b8cdba2-49e5-48dd-ad5f-ad2d7d96dc7a">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>200 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 1,
        "name": "test",
        "created_at": "2018-04-09 09:36:30",
        "updated_at": "2018-04-09 09:36:30"
    },
    {
        "id": 4,
        "name": "just another company",
        "created_at": "2018-04-09 09:36:30",
        "updated_at": "2018-04-09 09:36:30"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-company-update">
                            Update
                            <a href="#request-company-update"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Update a single company based on its id.</p>

<p>The payload allows for the following parameters:</p>

<p><code>name</code> (string),
<code>auth_type</code> (string),
<code>auth_data</code> (array)</p>

<p>If either <code>auth_type</code> or <code>auth_data</code> is set, the other is required to be present.</p>

<p>Where the auth data should contain information which matches the authentication method and the payload that the consumer will supply.</p>

<p>Examples:</p>

<p>Type <code>BasicAuth</code>:</p>

<pre><code class="language-json">{
  &quot;username&quot;: &quot;abc&quot;,
  &quot;password&quot;: &quot;cba&quot;
}
</code></pre>

<p>Type <code>HmacSignature</code>:</p>

<pre><code class="language-json">{
	&quot;algorithm&quot;: &quot;sha256&quot;,
	&quot;signature&quot;: &quot;abc123&quot;,
	&quot;header_name&quot;: &quot;x-auth&quot;
}
</code></pre>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-company-update-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-company-update-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-company-update-example-curl">
                                    <pre><code class="hljs curl">curl -X PUT -H "Content-Type: application/javascript" -d '{
  "name": "CompanyName",
  "auth_type": "BasicAuth",
  "auth_data": {
    "username": "abc123",
    "password": "password"
  }
}' "https://localhost/api/v1/admin/company/4"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-company-update-example-http">
                                    <pre><code class="hljs http">PUT /api/v1/admin/company/4 HTTP/1.1
Host: localhost
Content-Type: application/javascript

{
  "name": "CompanyName",
  "auth_type": "BasicAuth",
  "auth_data": {
    "username": "abc123",
    "password": "password"
  }
}</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-company-update-responses-d2d880b4-d350-4bba-8557-af7865983f26" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-company-update-responses-d2d880b4-d350-4bba-8557-af7865983f26">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>202 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 4,
        "name": "CompanyName",
        "created_at": "2018-04-09 09:36:30",
        "updated_at": "2018-04-13 08:56:13"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-company-remove">
                            Remove
                            <a href="#request-company-remove"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Remove a single company based on its id.
This will in turn remove all its endpoints and other data affiliated to the company in question.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-company-remove-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-company-remove-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-company-remove-example-curl">
                                    <pre><code class="hljs curl">curl -X DELETE "https://localhost/api/v1/admin/company/7"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-company-remove-example-http">
                                    <pre><code class="hljs http">DELETE /api/v1/admin/company/7 HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-company-remove-responses-8296cb02-d251-4f7a-a2fd-c32d8aa5e9a0" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-company-remove-responses-8296cb02-d251-4f7a-a2fd-c32d8aa5e9a0">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>202 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>{
    "message": "Resource deleted."
}</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-company-one">
                            One
                            <a href="#request-company-one"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Fetch a single company by id.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-company-one-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-company-one-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-company-one-example-curl">
                                    <pre><code class="hljs curl">curl -X GET "https://localhost/api/v1/admin/company/4"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-company-one-example-http">
                                    <pre><code class="hljs http">GET /api/v1/admin/company/4 HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-company-one-responses-76ed3aa3-179c-4450-9269-2290d0ce4927" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-company-one-responses-76ed3aa3-179c-4450-9269-2290d0ce4927">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>200 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 4,
        "name": "just another company",
        "created_at": "2018-04-09 09:36:30",
        "updated_at": "2018-04-09 09:36:30"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-company-create">
                            Create
                            <a href="#request-company-create"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Create a new company entity.</p>

<p>The payload requires the following parameters:</p>

<p><code>name</code> (string),
<code>auth_type</code> (string),
<code>auth_data</code> (array)</p>

<p>Where the auth data should contain information which matches the authentication method and the payload that the consumer will supply.</p>

<p>Examples:</p>

<p>Type <code>BasicAuth</code>:</p>

<pre><code class="language-json">{
  &quot;username&quot;: &quot;abc&quot;,
  &quot;password&quot;: &quot;cba&quot;
}
</code></pre>

<p>Type <code>HmacSignature</code>:</p>

<pre><code class="language-json">{
	&quot;algorithm&quot;: &quot;sha256&quot;,
	&quot;signature&quot;: &quot;abc123&quot;,
	&quot;header_name&quot;: &quot;x-auth&quot;
}
</code></pre>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-company-create-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-company-create-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-company-create-example-curl">
                                    <pre><code class="hljs curl">curl -X POST -H "Content-Type: application/json" -d '{
  "name": "CompanyName",
  "auth_type": "BasicAuth",
  "auth_data": {
    "username": "abc123",
    "password": "password"
  }
}' "https://localhost/api/v1/admin/company"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-company-create-example-http">
                                    <pre><code class="hljs http">POST /api/v1/admin/company HTTP/1.1
Host: localhost
Content-Type: application/json

{
  "name": "CompanyName",
  "auth_type": "BasicAuth",
  "auth_data": {
    "username": "abc123",
    "password": "password"
  }
}</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-company-create-responses-4faa2d4d-0274-4977-a5d7-a7b0f1c410ae" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-company-create-responses-4faa2d4d-0274-4977-a5d7-a7b0f1c410ae">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>201 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "name": "CompanyName",
        "updated_at": "2018-04-13 08:43:29",
        "created_at": "2018-04-13 08:43:29",
        "id": 5
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    

                </div>
                
                
                <div class="endpoints-group">
                    <h3 id="folder-endpoint">
                        Endpoint
                        <a href="#folder-endpoint"><i class="glyphicon glyphicon-link"></i></a>
                    </h3>

                    <div><p>A endpoint is a entity which keeps track of a single URL and authentication type + data for a given external service.
When a endpoint is &ldquo;used&rdquo; it queries the given remote source to either remove or fetch user data from that given source.</p>
</div>

                    
                    
                    <div class="request">

                        <h4 id="request-endpoint-one">
                            One
                            <a href="#request-endpoint-one"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Fetch a single endpoint owned by a company based on its id.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-endpoint-one-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-endpoint-one-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-endpoint-one-example-curl">
                                    <pre><code class="hljs curl">curl -X GET "https://localhost/api/v1/admin/company/4/endpoint/3"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-endpoint-one-example-http">
                                    <pre><code class="hljs http">GET /api/v1/admin/company/4/endpoint/3 HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-endpoint-one-responses-6a837d3e-49f0-4b9b-b3e4-3ed8a6d07a0c" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-endpoint-one-responses-6a837d3e-49f0-4b9b-b3e4-3ed8a6d07a0c">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>200 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 3,
        "company_id": 4,
        "endpoint": "https:\/\/example.com",
        "type": "fetch",
        "created_at": "2018-04-09 09:44:48",
        "updated_at": "2018-04-09 09:44:48"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-endpoint-create">
                            Create
                            <a href="#request-endpoint-create"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Create a new endpoint for a company.</p>

<p>The payload requires the following parameters:</p>

<p><code>endpoint</code> (string, url),
<code>type</code> (string),
<code>auth_type</code> (string),
<code>auth_data</code> (array)</p>

<p>Where the <code>type</code> should be either <code>fetch</code> or <code>delete</code>,
the <code>endpoint</code> should match the URL of the fetch or delete endpoint on the external resource and where the auth data should contain information which matches the authentication method and the payload that the endpoint requires.</p>

<p>Examples:</p>

<p>Type <code>BasicAuth</code>:</p>

<pre><code class="language-json">{
  &quot;username&quot;: &quot;abc&quot;,
  &quot;password&quot;: &quot;cba&quot;
}
</code></pre>

<p>Type <code>HmacSignature</code>:</p>

<pre><code class="language-json">{
	&quot;algorithm&quot;: &quot;sha256&quot;,
	&quot;signature&quot;: &quot;abc123&quot;,
	&quot;header_name&quot;: &quot;x-auth&quot;
}
</code></pre>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-endpoint-create-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-endpoint-create-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-endpoint-create-example-curl">
                                    <pre><code class="hljs curl">curl -X POST -H "Content-Type: application/json" -d '{
	"endpoint": "https://example.com",
	"type": "fetch",
	"auth_type": "BasicAuth",
	"auth_data": {
		"username": "abc",
		"password": "efg"
	}
}' " https://localhost/api/v1/admin/company/4/endpoint"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-endpoint-create-example-http">
                                    <pre><code class="hljs http">failed to parse url
parse  https://localhost/api/v1/admin/company/4/endpoint: first path segment in URL cannot contain colon</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-endpoint-create-responses-1613d4e0-6aef-464c-9112-3f9a69ae3c7f" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-endpoint-create-responses-1613d4e0-6aef-464c-9112-3f9a69ae3c7f">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>201 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "endpoint": "https:\/\/example.com",
        "type": "fetch",
        "company_id": 4,
        "updated_at": "2018-04-13 09:14:09",
        "created_at": "2018-04-13 09:14:09",
        "id": 6
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-endpoint-remove">
                            Remove
                            <a href="#request-endpoint-remove"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Remove a endpoint from a company based on its id.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-endpoint-remove-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-endpoint-remove-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-endpoint-remove-example-curl">
                                    <pre><code class="hljs curl">curl -X DELETE "https://localhost/api/v1/admin/company/4/endpoint/6"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-endpoint-remove-example-http">
                                    <pre><code class="hljs http">DELETE /api/v1/admin/company/4/endpoint/6 HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-endpoint-remove-responses-3a8b9643-6f50-413b-9016-21a256a4898c" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-endpoint-remove-responses-3a8b9643-6f50-413b-9016-21a256a4898c">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>202 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>{
    "message": "Resource deleted."
}</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-endpoint-all">
                            All
                            <a href="#request-endpoint-all"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Fetch all endpoints that the company have registered.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-endpoint-all-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-endpoint-all-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-endpoint-all-example-curl">
                                    <pre><code class="hljs curl">curl -X GET "https://localhost/api/v1/admin/company/4/endpoints"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-endpoint-all-example-http">
                                    <pre><code class="hljs http">GET /api/v1/admin/company/4/endpoints HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-endpoint-all-responses-e4d1bec0-5af3-480a-82b7-236018a179d3" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-endpoint-all-responses-e4d1bec0-5af3-480a-82b7-236018a179d3">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>200 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 3,
        "company_id": 4,
        "endpoint": "https:\/\/example.com",
        "type": "fetch",
        "created_at": "2018-04-09 09:44:48",
        "updated_at": "2018-04-09 09:44:48"
    },
    {
        "id": 4,
        "company_id": 4,
        "endpoint": "https:\/\/example2.com",
        "type": "fetch",
        "created_at": "2018-04-13 09:03:15",
        "updated_at": "2018-04-13 09:03:17"
    },
    {
        "id": 5,
        "company_id": 4,
        "endpoint": "https:\/\/example.com",
        "type": "delete",
        "created_at": "2018-04-09 09:44:48",
        "updated_at": "2018-04-09 09:44:48"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-endpoint-update">
                            Update
                            <a href="#request-endpoint-update"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Update a given endpoint.</p>

<p>The payload allows the following parameters:</p>

<p><code>endpoint</code> (string, url),
<code>type</code> (string),
<code>auth_type</code> (string),
<code>auth_data</code> (array)</p>

<p>Where the <code>type</code> should be either <code>fetch</code> or <code>delete</code>,
the <code>endpoint</code> should match the URL of the fetch or delete endpoint on the external resource and where the auth data should contain information which matches the authentication method and the payload that the endpoint requires.</p>

<p>If either <code>auth_type</code> or <code>auth_data</code> is set, the other is required.</p>

<p>Examples:</p>

<p>Type <code>BasicAuth</code>:</p>

<pre><code class="language-json">{
  &quot;username&quot;: &quot;abc&quot;,
  &quot;password&quot;: &quot;cba&quot;
}
</code></pre>

<p>Type <code>HmacSignature</code>:</p>

<pre><code class="language-json">{
	&quot;algorithm&quot;: &quot;sha256&quot;,
	&quot;signature&quot;: &quot;abc123&quot;,
	&quot;header_name&quot;: &quot;x-auth&quot;
}
</code></pre>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-endpoint-update-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-endpoint-update-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-endpoint-update-example-curl">
                                    <pre><code class="hljs curl">curl -X PUT -H "Content-Type: application/javascript" -d '{
	"endpoint": "https://example.com",
	"type": "fetch",
	"auth_type": "BasicAuth",
	"auth_data": {
		"username": "abc",
		"password": "efg"
	}
}' " https://localhost/api/v1/admin/company/4/endpoint/6"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-endpoint-update-example-http">
                                    <pre><code class="hljs http">failed to parse url
parse  https://localhost/api/v1/admin/company/4/endpoint/6: first path segment in URL cannot contain colon</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-endpoint-update-responses-be1b1804-7472-4fac-9bc4-4f0d52cd7620" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-endpoint-update-responses-be1b1804-7472-4fac-9bc4-4f0d52cd7620">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>202 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 6,
        "company_id": 4,
        "endpoint": "https:\/\/example.com",
        "type": "fetch",
        "created_at": "2018-04-13 09:14:09",
        "updated_at": "2018-04-13 09:15:27"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    

                </div>
                
                
                <div class="endpoints-group">
                    <h3 id="folder-external">
                        External
                        <a href="#folder-external"><i class="glyphicon glyphicon-link"></i></a>
                    </h3>

                    <div><p>Routes from external sources aka Customers.</p>

<p>When a company requests a removal or fetch from the API, they need to supply their set authentication information. The API is stateless, so it requires the information for each request.
Depending on the company <code>auth_data</code> and <code>auth_type</code> settings in the system, this can vary.</p>
</div>

                    
                    
                    <div class="request">

                        <h4 id="request-external-fetch">
                            Fetch
                            <a href="#request-external-fetch"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Fetch all data connected to a given identifier (email address) from all endpoints the authenticated customer have access to.</p>

<p>If a callback is supplied, the data fetched from the endpoints will be returned to said callback url.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-external-fetch-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-external-fetch-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-external-fetch-example-curl">
                                    <pre><code class="hljs curl">curl -X GET "https://localhost/api/v1/external/CompanyName/user/abc@abc.abc/?callback=url-to-send-result-to"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-external-fetch-example-http">
                                    <pre><code class="hljs http">GET /api/v1/external/CompanyName/user/abc@abc.abc/?callback=url-to-send-result-to HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-external-remove">
                            Remove
                            <a href="#request-external-remove"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Remove a user from all endpoints associated to the consumer.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-external-remove-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-external-remove-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-external-remove-example-curl">
                                    <pre><code class="hljs curl">curl -X POST -H "Content-Type: application/json" -d '{
	"identifier": "user.name@example.com"
}' "https://localhost/api/v1/external/CompanyName/user/remove"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-external-remove-example-http">
                                    <pre><code class="hljs http">POST /api/v1/external/CompanyName/user/remove HTTP/1.1
Host: localhost
Content-Type: application/json

{
	"identifier": "user.name@example.com"
}</code></pre>
                                </div>
                            </div>
                        </div>

                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-external-fetch">
                            Fetch
                            <a href="#request-external-fetch"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Fetch all data connected to a user via post request.</p>

<p>If a callback url is supplied in the post payload, all data requested from the endpoints will be sent to that URL.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-external-fetch-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-external-fetch-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-external-fetch-example-curl">
                                    <pre><code class="hljs curl">curl -X POST -H "Content-Type: application/json" -d '{
	"identifier": "user.name@example.com",
	"callback": "callbackurl.com"
}' "https://localhost/api/v1/external/CompanyName/user/fetch"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-external-fetch-example-http">
                                    <pre><code class="hljs http">POST /api/v1/external/CompanyName/user/fetch HTTP/1.1
Host: localhost
Content-Type: application/json

{
	"identifier": "user.name@example.com",
	"callback": "callbackurl.com"
}</code></pre>
                                </div>
                            </div>
                        </div>

                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-external-remove">
                            Remove
                            <a href="#request-external-remove"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Remove a user by its identifier (email address) from all endpoints that the authenticated customer have access to.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-external-remove-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-external-remove-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-external-remove-example-curl">
                                    <pre><code class="hljs curl">curl -X DELETE "https://localhost/api/v1/external/CompanyName/user/abc@abc.abc"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-external-remove-example-http">
                                    <pre><code class="hljs http">DELETE /api/v1/external/CompanyName/user/abc@abc.abc HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        

                        <hr>
                    </div>
                    

                </div>
                
                
                <div class="endpoints-group">
                    <h3 id="folder-user">
                        User
                        <a href="#folder-user"><i class="glyphicon glyphicon-link"></i></a>
                    </h3>

                    <div><p>A user is a single user which have an administrative role.<br />
A user can create, update, fetch and delete other users, endpoints and companies.</p>
</div>

                    
                    
                    <div class="request">

                        <h4 id="request-user-one">
                            One
                            <a href="#request-user-one"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Fetch a single user from the system based on their id.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-user-one-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-user-one-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-user-one-example-curl">
                                    <pre><code class="hljs curl">curl -X GET "https://localhost/api/v1/admin/user/2"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-user-one-example-http">
                                    <pre><code class="hljs http">GET /api/v1/admin/user/2 HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-user-one-responses-0abf0697-8838-4b78-a8f9-f153c328702b" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-user-one-responses-0abf0697-8838-4b78-a8f9-f153c328702b">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>200 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 2,
        "name": "Jane Doe",
        "email": "jane.doe@example.com",
        "created_at": "2018-04-09 10:34:04",
        "updated_at": "2018-04-09 10:34:04"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-user-all">
                            All
                            <a href="#request-user-all"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Fetch all users from the system.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-user-all-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-user-all-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-user-all-example-curl">
                                    <pre><code class="hljs curl">curl -X GET "https://localhost/api/v1/admin/users"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-user-all-example-http">
                                    <pre><code class="hljs http">GET /api/v1/admin/users HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-user-all-responses-dc2f1f5c-c43f-4244-aa49-e8d9166a9e72" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-user-all-responses-dc2f1f5c-c43f-4244-aa49-e8d9166a9e72">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>200 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 2,
        "name": "Jane Doe",
        "email": "jane.doe@example.com",
        "created_at": "2018-04-09 10:34:04",
        "updated_at": "2018-04-09 10:34:04"
    },
    {
        "id": 3,
        "name": "John Doe",
        "email": "john.doe@example.com",
        "created_at": "2018-04-09 10:34:09",
        "updated_at": "2018-04-09 10:34:09"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-user-create">
                            Create
                            <a href="#request-user-create"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Create a new user.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-user-create-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-user-create-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-user-create-example-curl">
                                    <pre><code class="hljs curl">curl -X POST -H "Content-Type: application/json" -d '{
	"name": "User Name",
	"email": "user@example.com",
	"password": "abc123abc123"
}' "https://localhost/api/v1/admin/user"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-user-create-example-http">
                                    <pre><code class="hljs http">POST /api/v1/admin/user HTTP/1.1
Host: localhost
Content-Type: application/json

{
	"name": "User Name",
	"email": "user@example.com",
	"password": "abc123abc123"
}</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-user-create-responses-b0d5492c-8901-406d-8caa-b6133494d9cd" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-user-create-responses-b0d5492c-8901-406d-8caa-b6133494d9cd">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>201 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "email": "user@example.com",
        "name": "User Name",
        "updated_at": "2018-04-13 09:32:15",
        "created_at": "2018-04-13 09:32:15",
        "id": 4
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-user-update">
                            Update
                            <a href="#request-user-update"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Update a user.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-user-update-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-user-update-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-user-update-example-curl">
                                    <pre><code class="hljs curl">curl -X PUT -H "Content-Type: application/json" -d '{
	"name": "Another User Name",
	"email": "user.name@example.com",
	"password": "abc123abc123"
}' "https://localhost/api/v1/admin/user/3"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-user-update-example-http">
                                    <pre><code class="hljs http">PUT /api/v1/admin/user/3 HTTP/1.1
Host: localhost
Content-Type: application/json

{
	"name": "Another User Name",
	"email": "user.name@example.com",
	"password": "abc123abc123"
}</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-user-update-responses-baa4cd0e-85ec-4e47-8d29-2ebc13f7153f" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-user-update-responses-baa4cd0e-85ec-4e47-8d29-2ebc13f7153f">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>202 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>[
    {
        "id": 3,
        "name": "Another User Name",
        "email": "user.name@example.com",
        "created_at": "2018-04-09 10:34:09",
        "updated_at": "2018-04-13 09:34:59"
    }
]</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    
                    
                    <div class="request">

                        <h4 id="request-user-remove">
                            Remove
                            <a href="#request-user-remove"><i class="glyphicon glyphicon-link"></i></a>
                        </h4>

                        <div><p>Remove a user from the system.</p>
</div>

                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#request-user-remove-example-curl" data-toggle="tab">Curl</a></li>
                                <li role="presentation"><a href="#request-user-remove-example-http" data-toggle="tab">HTTP</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane active" id="request-user-remove-example-curl">
                                    <pre><code class="hljs curl">curl -X DELETE "https://localhost/api/v1/admin/user/3"</code></pre>
                                </div>
                                <div class="tab-pane" id="request-user-remove-example-http">
                                    <pre><code class="hljs http">DELETE /api/v1/admin/user/3 HTTP/1.1
Host: localhost</code></pre>
                                </div>
                            </div>
                        </div>

                        
                        <div>
                            <ul class="nav nav-tabs" role="tablist">
                                
                                <li role="presentation" class="active">
                                    <a href="#request-user-remove-responses-e14810dc-c652-404e-aa06-5fe62041ee1c" data-toggle="tab">
                                        
                                            Response
                                        
                                    </a>
                                </li>
                                
                            </ul>
                            <div class="tab-content">
                                
                                <div class="tab-pane active" id="request-user-remove-responses-e14810dc-c652-404e-aa06-5fe62041ee1c">
                                    <table class="table table-bordered">
                                        <tr><th style="width: 20%;">Status</th><td>202 </td></tr>
                                        
                                        <tr><th style="width: 20%;">Content-Type</th><td>application/json</td></tr>
                                        
                                        
                                            
                                            <tr><td class="response-text-sample" colspan="2">
                                                <pre><code>{
    "message": "Resource deleted."
}</code></pre>
                                            </td></tr>
                                            
                                        
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                        

                        <hr>
                    </div>
                    

                </div>
                
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-2.2.2.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
</body>
</html>
